from pydantic import Field

from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Point(Shape):
    """
    Attributes
    ----------
    x : float
        The X coordinate of the point. [units pixels]
    y : float
        The Y coordinate of the point. [units pixels]
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    x: float = Field(
        json_schema_extra={
            "name": "X",
            "type": "Attribute",
            "required": True,
        }
    )
    y: float = Field(
        json_schema_extra={
            "name": "Y",
            "type": "Attribute",
            "required": True,
        }
    )
